#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 13. Programming

- Prev

  Cbindgen-0.17.0

- Next

  CMake-3.19.5

- Up
- Home

# Clisp-2.49

## Introduction to Clisp

GNU Clisp is a Common Lisp implementation which includes an interpreter, compiler, debugger, and many extensions.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://ftp.gnu.org/gnu/clisp/latest/clisp-2.49.tar.bz2

- Download (FTP): ftp://ftp.gnu.org/gnu/clisp/latest/clisp-2.49.tar.bz2

- Download MD5 sum: 1962b99d5e530390ec3829236d168649

- Download size: 7.8 MB

- Estimated disk space required: 163 MB (add 8 MB for tests)

- Estimated build time: 0.9 SBU (1.2 SBU with tests)

### Additional Downloads

- Optional patch: http://www.linuxfromscratch.org/patches/blfs/10.1/clisp-2.49-readline7_fixes-1.patch (required if building against libffcall)

### Clisp Dependencies

#### Recommended

libsigsegv-2.13

#### Optional

libffcall

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/clisp

## Installation of Clisp

### Note

This package does not support parallel build.

If you are building on a 32-bit system, work around a bug in GCC caused by the latest version of binutils:

    case $(uname -m) in
        i?86) export CFLAGS+=-falign-functions=4 ;;
    esac

Remove two tests, which fail for unknown reasons:

    sed -i -e '/socket/d' -e '/"streams"/d' tests/tests.lisp

Install Clisp by running the following commands:

If you are building clisp against libffcall, apply the patch to fix a build failure with current readline:

    patch -Np1 -i ../clisp-2.49-readline7_fixes-1.patch

Install Clisp by running the following commands:

    mkdir build &&
    cd    build &&

    ../configure --srcdir=../                       \
                 --prefix=/usr                      \
                 --docdir=/usr/share/doc/clisp-2.49 \
                 --with-libsigsegv-prefix=/usr &&

    ulimit -s 16384 &&
    make -j1

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

ulimit -s 16384: this increases the maximum stack size, as recommended by the configure.

--docdir=/usr/share/doc/clisp-2.49: this ensures the html documentation will go into a versioned directory instead of straight into `/usr/share/html/`.

--with-libsigsegv-prefix=/usr: use this to tell configure that you have installed libsigsegv in /usr, otherwise it will not be found.

`--with-libffcall-prefix=/usr`: use this to tell configure that you have installed the optional libffcall in /usr, otherwise like libsigsegv it will not be found.

## Contents

Installed Programs: clisp, clisp-link
Installed Libraries: various static libraries in `/usr/lib/clisp-2.49/base/`
Installed Directories: /usr/lib/clisp-2.49 /usr/share/doc/clisp-2.49 /usr/share/emacs/site-lisp;

### Short Descriptions

clisp | is an ANSI Common Lisp compiler, interpreter, and debugger
clisp-link | is used to link an external module to clisp

Last updated on 2021-02-20 14:53:06 -0800

- Prev

  Cbindgen-0.17.0

- Next

  CMake-3.19.5

- Up
- Home